Skip to content

Get effective preferences for a user

GET
/v1/preferences/users/{externalUserId}
curl --request GET \
--url https://your-notavia-host/v1/preferences/users/example \
--header 'Authorization: Bearer <token>'
externalUserId
required
string

Effective preferences.

Media type application/json
object
data
Array<object>
object
category_key
string
channel

Notification channel identifier.

string
Allowed values: email in_app webhook sms slack teams discord
opted_in
boolean
Example
{
"data": [
{
"channel": "email"
}
]
}

Missing or invalid credentials.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Credentials do not have the required scope.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}